# Developer guide

Please note, that bot api functions themselves are not written manually, but automatically generated by parsing [https://core.telegram.org/bots/api](https://core.telegram.org/bots/api) site. So, if you find any inconsistences, missing docstrings or missing methods please do not make changes to `src/telegram_api.jl` or `reference.md`. Instead you should change scraping script accordingly. This script can be found in `extras` directory and in order to build new docs and methods you should do the following

```sh
sh> cd extras
sh> julia
julia> ]
pkg> activate .
(extras)> instantiate
```

After that you can exit julia session and run
```sh
sh> julia --project=. make.jl
```
command. It will create two files:
* `src/telegram_api.jl` which contains all methods names and corresponding docstrings
* `docs/src/reference.md` which contains complete [API Reference](@ref) page.

